Index: sys/netipsec/xform_ah.c
===================================================================
--- sys/netipsec/xform_ah.c	(revision 195689)
+++ sys/netipsec/xform_ah.c	(working copy)
@@ -49,6 +49,7 @@
 #include <sys/vimage.h>
 
 #include <net/if.h>
+#include <net/vnet.h>
 
 #include <netinet/in.h>
 #include <netinet/in_systm.h>
@@ -73,17 +74,6 @@
 
 #include <opencrypto/cryptodev.h>
 
-static int ah_iattach(const void *);
-
-#ifndef VIMAGE_GLOBALS
-static const vnet_modinfo_t vnet_ah_modinfo = {
-	.vmi_id		= VNET_MOD_AH,
-	.vmi_name	= "ipsec_ah",
-	.vmi_dependson	= VNET_MOD_IPSEC,
-	.vmi_iattach	= ah_iattach
-};
-#endif /* !VIMAGE_GLOBALS */
-
 /*
  * Return header size in bytes.  The old protocol did not support
  * the replay counter; the new protocol always includes the counter.
@@ -99,19 +89,17 @@
 #define	AUTHSIZE(sav) \
 	((sav->flags & SADB_X_EXT_OLD) ? 16 : AH_HMAC_HASHLEN)
 
-#ifdef VIMAGE_GLOBALS
-int	ah_enable;
-int	ah_cleartos;
-struct	ahstat ahstat;
-#endif
+VNET_DEFINE(int, ah_enable) = 1;	/* control flow of packets with AH */
+VNET_DEFINE(int, ah_cleartos) = 1;	/* clear ip_tos when doing AH calc */
+VNET_DEFINE(struct ahstat, ahstat);
 
 SYSCTL_DECL(_net_inet_ah);
-SYSCTL_V_INT(V_NET, vnet_ipsec, _net_inet_ah, OID_AUTO,
-	ah_enable,	CTLFLAG_RW,	ah_enable,	0, "");
-SYSCTL_V_INT(V_NET, vnet_ipsec, _net_inet_ah, OID_AUTO,
-	ah_cleartos,	CTLFLAG_RW,	ah_cleartos,	0, "");
-SYSCTL_V_STRUCT(V_NET, vnet_ipsec, _net_inet_ah, IPSECCTL_STATS,
-	stats,		CTLFLAG_RD,	ahstat,	ahstat, "");
+SYSCTL_VNET_INT(_net_inet_ah, OID_AUTO,
+	ah_enable,	CTLFLAG_RW,	&VNET_NAME(ah_enable),	0, "");
+SYSCTL_VNET_INT(_net_inet_ah, OID_AUTO,
+	ah_cleartos,	CTLFLAG_RW,	&VNET_NAME(ah_cleartos), 0, "");
+SYSCTL_VNET_STRUCT(_net_inet_ah, IPSECCTL_STATS,
+	stats,		CTLFLAG_RD,	&VNET_NAME(ahstat), ahstat, "");
 
 static unsigned char ipseczeroes[256];	/* larger than an ip6 extension hdr */
 
@@ -173,7 +161,6 @@
 int
 ah_init0(struct secasvar *sav, struct xformsw *xsp, struct cryptoini *cria)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct auth_hash *thash;
 	int keylen;
 
@@ -228,7 +215,6 @@
 static int
 ah_init(struct secasvar *sav, struct xformsw *xsp)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct cryptoini cria;
 	int error;
 
@@ -263,7 +249,6 @@
 static int
 ah_massage_headers(struct mbuf **m0, int proto, int skip, int alg, int out)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct mbuf *m = *m0;
 	unsigned char *ptr;
 	int off, count;
@@ -568,7 +553,6 @@
 static int
 ah_input(struct mbuf *m, struct secasvar *sav, int skip, int protoff)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct auth_hash *ahx;
 	struct tdb_ident *tdbi;
 	struct tdb_crypto *tc;
@@ -738,7 +722,6 @@
 static int
 ah_input_cb(struct cryptop *crp)
 {
-	INIT_VNET_IPSEC(curvnet);
 	int rplen, error, skip, protoff;
 	unsigned char calc[AH_ALEN_MAX];
 	struct mbuf *m;
@@ -901,7 +884,6 @@
 	int skip,
 	int protoff)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct secasvar *sav;
 	struct auth_hash *ahx;
 	struct cryptodesc *crda;
@@ -1128,7 +1110,6 @@
 static int
 ah_output_cb(struct cryptop *crp)
 {
-	INIT_VNET_IPSEC(curvnet);
 	int skip, protoff, error;
 	struct tdb_crypto *tc;
 	struct ipsecrequest *isr;
@@ -1232,21 +1213,6 @@
 {
 
 	xform_register(&ah_xformsw);
-#ifndef VIMAGE_GLOBALS
-	vnet_mod_register(&vnet_ah_modinfo);
-#else
-	ah_iattach(NULL);
-#endif
 }
 
-static int
-ah_iattach(const void *unused __unused)
-{
-	INIT_VNET_IPSEC(curvnet);
-
-	V_ah_enable = 1;	/* control flow of packets with AH */
-	V_ah_cleartos = 1;	/* clear ip_tos when doing AH calc */
-
-	return (0);
-}
 SYSINIT(ah_xform_init, SI_SUB_PROTO_DOMAIN, SI_ORDER_MIDDLE, ah_attach, NULL);
Index: sys/netipsec/ipcomp_var.h
===================================================================
--- sys/netipsec/ipcomp_var.h	(revision 195689)
+++ sys/netipsec/ipcomp_var.h	(working copy)
@@ -61,7 +61,9 @@
 };
 
 #ifdef _KERNEL
-extern	int ipcomp_enable;
-extern	struct ipcompstat ipcompstat;
+VNET_DECLARE(int, ipcomp_enable);
+#define	V_ipcomp_enable		VNET_GET(ipcomp_enable)
+VNET_DECLARE(struct ipcompstat, ipcompstat);
+#define	V_ipcompstat		VNET_GET(ipcompstat)
 #endif /* _KERNEL */
 #endif /*_NETIPSEC_IPCOMP_VAR_H_*/
Index: sys/netipsec/esp_var.h
===================================================================
--- sys/netipsec/esp_var.h	(revision 195689)
+++ sys/netipsec/esp_var.h	(working copy)
@@ -72,7 +72,9 @@
 };
 
 #ifdef _KERNEL
-extern	int esp_enable;
-extern	struct espstat espstat;
+VNET_DECLARE(int, esp_enable);
+#define	V_esp_enable	VNET_GET(esp_enable)
+VNET_DECLARE(struct espstat, espstat);
+#define	V_espstat	VNET_GET(espstat)
 #endif /* _KERNEL */
 #endif /*_NETIPSEC_ESP_VAR_H_*/
Index: sys/netipsec/ah_var.h
===================================================================
--- sys/netipsec/ah_var.h	(revision 195689)
+++ sys/netipsec/ah_var.h	(working copy)
@@ -71,8 +71,11 @@
 };
 
 #ifdef _KERNEL
-extern	int ah_enable;
-extern	int ah_cleartos;
-extern	struct ahstat ahstat;
+VNET_DECLARE(int, ah_enable);
+#define	V_ah_enable		VNET_GET(ah_enable)
+VNET_DECLARE(int, ah_cleartos);
+#define	V_ah_cleartos		VNET_GET(ah_cleartos)
+VNET_DECLARE(struct ahstat, ahstat);
+#define	V_ahstat		VNET_GET(ahstat)
 #endif /* _KERNEL */
 #endif /*_NETIPSEC_AH_VAR_H_*/
Index: sys/netipsec/keysock.c
===================================================================
--- sys/netipsec/keysock.c	(revision 195689)
+++ sys/netipsec/keysock.c	(working copy)
@@ -67,22 +67,25 @@
 
 #include <machine/stdarg.h>
 
-#ifdef VIMAGE_GLOBALS
-static struct key_cb key_cb;
-struct pfkeystat pfkeystat;
-#endif
+struct key_cb {
+	int key_count;
+	int any_count;
+};
+static VNET_DEFINE(struct key_cb, key_cb);
+#define	V_key_cb		VNET_GET(key_cb)
 
-static struct sockaddr key_src = { 2, PF_KEY };
+static struct sockaddr key_src = { 2, PF_KEY, };
 
 static int key_sendup0 __P((struct rawcb *, struct mbuf *, int));
 
+VNET_DEFINE(struct pfkeystat, pfkeystat);
+
 /*
  * key_output()
  */
 int
 key_output(struct mbuf *m, struct socket *so)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct sadb_msg *msg;
 	int len, error = 0;
 
@@ -136,7 +139,6 @@
 	struct mbuf *m;
 	int promisc;
 {
-	INIT_VNET_IPSEC(curvnet);
 	int error;
 
 	if (promisc) {
@@ -181,7 +183,6 @@
 	u_int len;
 	int target;	/*target of the resulting message*/
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct mbuf *m, *n, *mprev;
 	int tlen;
 
@@ -270,8 +271,6 @@
 	struct mbuf *m;
 	int target;
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_IPSEC(curvnet);
 	struct mbuf *n;
 	struct keycb *kp;
 	int sendup;
@@ -389,7 +388,6 @@
 static int
 key_attach(struct socket *so, int proto, struct thread *td)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct keycb *kp;
 	int error;
 
@@ -464,7 +462,6 @@
 static void
 key_detach(struct socket *so)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct keycb *kp = (struct keycb *)sotorawcb(so);
 
 	KASSERT(kp != NULL, ("key_detach: kp == NULL"));
@@ -567,10 +564,8 @@
 static void
 key_init0(void)
 {
-	INIT_VNET_IPSEC(curvnet);
 
 	bzero((caddr_t)&V_key_cb, sizeof(V_key_cb));
-	ipsec_init();
 	key_init();
 }
 
Index: sys/netipsec/ipsec.h
===================================================================
--- sys/netipsec/ipsec.h	(revision 195689)
+++ sys/netipsec/ipsec.h	(working copy)
@@ -332,26 +332,41 @@
 	u_int32_t ih_spi;
 };
 
-extern int ipsec_debug;
+VNET_DECLARE(int, ipsec_debug);
+#define	V_ipsec_debug		VNET_GET(ipsec_debug)
+VNET_DECLARE(struct ipsecstat, ipsec4stat);
+#define	V_ipsec4stat		VNET_GET(ipsec4stat)
+VNET_DECLARE(int, ip4_ah_offsetmask);
+#define	V_ip4_ah_offsetmask	VNET_GET(ip4_ah_offsetmask)
+VNET_DECLARE(int, ip4_ipsec_dfbit);
+#define	V_ip4_ipsec_dfbit	VNET_GET(ip4_ipsec_dfbit)
+VNET_DECLARE(int, ip4_esp_trans_deflev);
+#define	V_ip4_esp_trans_deflev	VNET_GET(ip4_esp_trans_deflev)
+VNET_DECLARE(int, ip4_esp_net_deflev);
+#define	V_ip4_esp_net_deflev	VNET_GET(ip4_esp_net_deflev)
+VNET_DECLARE(int, ip4_ah_trans_deflev);
+#define	V_ip4_ah_trans_deflev	VNET_GET(ip4_ah_trans_deflev)
+VNET_DECLARE(int, ip4_ah_net_deflev);
+#define	V_ip4_ah_net_deflev	VNET_GET(ip4_ah_net_deflev)
+VNET_DECLARE(struct secpolicy, ip4_def_policy);
+#define	V_ip4_def_policy	VNET_GET(ip4_def_policy)
+VNET_DECLARE(int, ip4_ipsec_ecn);
+#define	V_ip4_ipsec_ecn		VNET_GET(ip4_ipsec_ecn)
+VNET_DECLARE(int, ip4_esp_randpad);
+#define	V_ip4_esp_randpad	VNET_GET(ip4_esp_randpad)
+
+VNET_DECLARE(int, crypto_support);
+#define	V_crypto_support	VNET_GET(crypto_support)
+
+extern int ip4_ah_cleartos;
+
 #ifdef REGRESSION
-extern int ipsec_replay;
-extern int ipsec_integrity;
+VNET_DECLARE(int, ipsec_replay);
+#define	V_ipsec_replay		VNET_GET(ipsec_replay)
+VNET_DECLARE(int, ipsec_integrity);
+#define	V_ipsec_integrity	VNET_GET(ipsec_integrity)
 #endif
 
-extern struct ipsecstat ipsec4stat;
-extern struct secpolicy ip4_def_policy;
-extern int ip4_esp_trans_deflev;
-extern int ip4_esp_net_deflev;
-extern int ip4_ah_trans_deflev;
-extern int ip4_ah_net_deflev;
-extern int ip4_ah_cleartos;
-extern int ip4_ah_offsetmask;
-extern int ip4_ipsec_dfbit;
-extern int ip4_ipsec_ecn;
-extern int ip4_ipsec_filtertunnel;
-extern int ip4_esp_randpad;
-extern int crypto_support;
-
 #define ipseclog(x)	do { if (V_ipsec_debug) log x; } while (0)
 /* for openbsd compatibility */
 #define	DPRINTF(x)	do { if (V_ipsec_debug) printf x; } while (0)
@@ -360,7 +375,6 @@
 extern	void ipsec_delisr(struct ipsecrequest *);
 
 struct tdb_ident;
-extern void ipsec_init(void);
 extern struct secpolicy *ipsec_getpolicy __P((struct tdb_ident*, u_int));
 struct inpcb;
 extern struct secpolicy *ipsec4_checkpolicy __P((struct mbuf *, u_int, u_int,
@@ -434,8 +448,6 @@
 
 extern const char *ipsec_strerror __P((void));
 
-#else
-#include <netipsec/vipsec.h>
 #endif /* ! KERNEL */
 
 #endif /* _NETIPSEC_IPSEC_H_ */
Index: sys/netipsec/ipsec_mbuf.c
===================================================================
--- sys/netipsec/ipsec_mbuf.c	(revision 195689)
+++ sys/netipsec/ipsec_mbuf.c	(working copy)
@@ -39,6 +39,8 @@
 #include <sys/vimage.h>
 
 #include <net/route.h>
+#include <net/vnet.h>
+
 #include <netinet/in.h>
 
 #include <netipsec/ipsec.h>
@@ -54,7 +56,6 @@
 struct mbuf *
 m_makespace(struct mbuf *m0, int skip, int hlen, int *off)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct mbuf *m;
 	unsigned remain;
 
@@ -158,7 +159,6 @@
 caddr_t
 m_pad(struct mbuf *m, int n)
 {
-	INIT_VNET_IPSEC(curvnet);
 	register struct mbuf *m0, *m1;
 	register int len, pad;
 	caddr_t retval;
@@ -231,7 +231,6 @@
 int
 m_striphdr(struct mbuf *m, int skip, int hlen)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct mbuf *m1;
 	int roff;
 
Index: sys/netipsec/xform_ipip.c
===================================================================
--- sys/netipsec/xform_ipip.c	(revision 195689)
+++ sys/netipsec/xform_ipip.c	(working copy)
@@ -68,7 +68,6 @@
 #ifdef MROUTING
 #include <netinet/ip_mroute.h>
 #endif
-#include <netinet/vinet.h>
 
 #include <netipsec/ipsec.h>
 #include <netipsec/xform.h>
@@ -92,31 +91,27 @@
  * We can control the acceptance of IP4 packets by altering the sysctl
  * net.inet.ipip.allow value.  Zero means drop them, all else is acceptance.
  */
-#ifdef VIMAGE_GLOBALS
-int	ipip_allow;
-struct	ipipstat ipipstat;
-#endif
+VNET_DEFINE(int, ipip_allow) = 0;
+VNET_DEFINE(struct ipipstat, ipipstat);
 
 SYSCTL_DECL(_net_inet_ipip);
-SYSCTL_V_INT(V_NET, vnet_ipsec, _net_inet_ipip, OID_AUTO,
-	ipip_allow,	CTLFLAG_RW,	ipip_allow,	0, "");
-SYSCTL_V_STRUCT(V_NET, vnet_ipsec, _net_inet_ipip, IPSECCTL_STATS,
-	stats,		CTLFLAG_RD,	ipipstat,	ipipstat, "");
+SYSCTL_VNET_INT(_net_inet_ipip, OID_AUTO,
+	ipip_allow,	CTLFLAG_RW,	&VNET_NAME(ipip_allow),	0, "");
+SYSCTL_VNET_STRUCT(_net_inet_ipip, IPSECCTL_STATS,
+	stats,		CTLFLAG_RD,	&VNET_NAME(ipipstat),	ipipstat, "");
 
 /* XXX IPCOMP */
 #define	M_IPSEC	(M_AUTHIPHDR|M_AUTHIPDGM|M_DECRYPTED)
 
 static void _ipip_input(struct mbuf *m, int iphlen, struct ifnet *gifp);
-static int ipe4_iattach(const void *);
 
-#ifndef VIMAGE_GLOBALS
+#ifdef VIMAGE
 static const vnet_modinfo_t vnet_ipip_modinfo = {
 	.vmi_id		= VNET_MOD_IPIP,
 	.vmi_name	= "ipsec_ipip",
 	.vmi_dependson	= VNET_MOD_IPSEC,
-	.vmi_iattach	= ipe4_iattach
 };
-#endif /* !VIMAGE_GLOBALS */
+#endif
 
 #ifdef INET6
 /*
@@ -169,8 +164,6 @@
 static void
 _ipip_input(struct mbuf *m, int iphlen, struct ifnet *gifp)
 {
-	INIT_VNET_NET(curvnet);
-	INIT_VNET_IPSEC(curvnet);
 #ifdef INET
 	register struct sockaddr_in *sin;
 #endif
@@ -424,10 +417,6 @@
 	int protoff
 )
 {
-	INIT_VNET_IPSEC(curvnet);
-#ifdef INET
-	INIT_VNET_INET(curvnet);
-#endif /* INET */
 	struct secasvar *sav;
 	u_int8_t tp, otos;
 	struct secasindex *saidx;
@@ -708,15 +697,6 @@
 	return ((m->m_flags & M_IPSEC) != 0 ? 1 : 0);
 }
 
-static int
-ipe4_iattach(const void *unused __unused)
-{
-	INIT_VNET_IPSEC(curvnet);
-
-	V_ipip_allow = 0;
-	return (0);
-}
-
 static void
 ipe4_attach(void)
 {
@@ -730,10 +710,8 @@
 	(void) encap_attach_func(AF_INET6, -1,
 		ipe4_encapcheck, (struct protosw *)&ipe6_protosw, NULL);
 #endif
-#ifndef VIMAGE_GLOBALS
+#ifdef VIMAGE
 	vnet_mod_register(&vnet_ipip_modinfo);
-#else
-	ipe4_iattach(NULL);
 #endif
 }
 SYSINIT(ipe4_xform_init, SI_SUB_PROTO_DOMAIN, SI_ORDER_MIDDLE, ipe4_attach, NULL);
Index: sys/netipsec/keysock.h
===================================================================
--- sys/netipsec/keysock.h	(revision 195689)
+++ sys/netipsec/keysock.h	(working copy)
@@ -58,11 +58,6 @@
 	u_quad_t sockerr;		/* # of socket related errors */
 };
 
-struct key_cb {
-	int key_count;
-	int any_count;
-};
-
 #define KEY_SENDUP_ONE		0
 #define KEY_SENDUP_ALL		1
 #define KEY_SENDUP_REGISTERED	2
@@ -74,7 +69,8 @@
 	int kp_registered;	/* registered socket */
 };
 
-extern struct pfkeystat pfkeystat;
+VNET_DECLARE(struct pfkeystat, pfkeystat);
+#define	V_pfkeystat		VNET_GET(pfkeystat)
 
 extern int key_output(struct mbuf *m, struct socket *so);
 extern int key_usrreq __P((struct socket *,
Index: sys/netipsec/ipip_var.h
===================================================================
--- sys/netipsec/ipip_var.h	(revision 195689)
+++ sys/netipsec/ipip_var.h	(working copy)
@@ -59,9 +59,9 @@
 };
 
 #ifdef _KERNEL
-extern	int ipip_allow;
-#ifdef VIMAGE_GLOBALS
-extern	struct ipipstat ipipstat;
-#endif
+VNET_DECLARE(int, ipip_allow);
+#define	V_ipip_allow		VNET_GET(ipip_allow)
+VNET_DECLARE(struct ipipstat, ipipstat);
+#define	V_ipipstat		VNET_GET(ipipstat)
 #endif /* _KERNEL */
 #endif /* _NETINET_IPIP_H_ */
Index: sys/netipsec/ipsec_input.c
===================================================================
--- sys/netipsec/ipsec_input.c	(revision 195689)
+++ sys/netipsec/ipsec_input.c	(working copy)
@@ -60,6 +60,7 @@
 #include <net/pfil.h>
 #include <net/route.h>
 #include <net/netisr.h>
+#include <net/vnet.h>
 
 #include <netinet/in.h>
 #include <netinet/in_systm.h>
@@ -74,7 +75,6 @@
 #include <netinet/in_pcb.h>
 #ifdef INET6
 #include <netinet/icmp6.h>
-#include <netinet6/vinet6.h>
 #endif
 
 #include <netipsec/ipsec.h>
@@ -116,7 +116,6 @@
 static int
 ipsec_common_input(struct mbuf *m, int skip, int protoff, int af, int sproto)
 {
-	INIT_VNET_IPSEC(curvnet);
 	union sockaddr_union dst_address;
 	struct secasvar *sav;
 	u_int32_t spi;
@@ -295,7 +294,6 @@
 ipsec4_common_input_cb(struct mbuf *m, struct secasvar *sav,
 			int skip, int protoff, struct m_tag *mt)
 {
-	INIT_VNET_IPSEC(curvnet);
 	int prot, af, sproto;
 	struct ip *ip;
 	struct m_tag *mtag;
@@ -518,7 +516,6 @@
 int
 ipsec6_common_input(struct mbuf **mp, int *offp, int proto)
 {
-	INIT_VNET_IPSEC(curvnet);
 	int l = 0;
 	int protoff;
 	struct ip6_ext ip6e;
@@ -569,8 +566,6 @@
 ipsec6_common_input_cb(struct mbuf *m, struct secasvar *sav, int skip, int protoff,
     struct m_tag *mt)
 {
-	INIT_VNET_INET6(curvnet);
-	INIT_VNET_IPSEC(curvnet);
 	int prot, af, sproto;
 	struct ip6_hdr *ip6;
 	struct m_tag *mtag;
Index: sys/netipsec/ipsec_output.c
===================================================================
--- sys/netipsec/ipsec_output.c	(revision 195689)
+++ sys/netipsec/ipsec_output.c	(working copy)
@@ -47,6 +47,7 @@
 #include <net/if.h>
 #include <net/pfil.h>
 #include <net/route.h>
+#include <net/vnet.h>
 
 #include <netinet/in.h>
 #include <netinet/in_systm.h>
@@ -65,7 +66,6 @@
 #include <netinet/in_pcb.h>
 #ifdef INET6
 #include <netinet/icmp6.h>
-#include <netinet6/vinet6.h>
 #endif
 
 #include <netipsec/ipsec.h>
@@ -96,7 +96,6 @@
 int
 ipsec_process_done(struct mbuf *m, struct ipsecrequest *isr)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct tdb_ident *tdbi;
 	struct m_tag *mtag;
 	struct secasvar *sav;
@@ -264,7 +263,6 @@
 {
 #define IPSEC_OSTAT(x,y,z) (isr->saidx.proto == IPPROTO_ESP ? (x)++ : \
 			    isr->saidx.proto == IPPROTO_AH ? (y)++ : (z)++)
-	INIT_VNET_IPSEC(curvnet);
 	struct secasvar *sav;
 
 	IPSECREQUEST_LOCK_ASSERT(isr);
@@ -408,7 +406,6 @@
 	int flags,
 	int tunalready)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct secasindex saidx;
 	struct secasvar *sav;
 	struct ip *ip;
@@ -622,7 +619,6 @@
 	int flags,
 	int *tun)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct ipsecrequest *isr;
 	struct secasindex saidx;
 	int error = 0;
@@ -690,7 +686,6 @@
 static int
 ipsec6_encapsulate(struct mbuf *m, struct secasvar *sav)
 {
-	INIT_VNET_IPSEC(curvnet);
 	struct ip6_hdr *oip6;
 	struct ip6_hdr *ip6;
 	size_t plen;
@@ -760,8 +755,6 @@
 int
 ipsec6_output_tunnel(struct ipsec_output_state *state, struct secpolicy *sp, int flags)
 {
-	INIT_VNET_INET6(curvnet);
-	INIT_VNET_IPSEC(curvnet);
 	struct ip6_hdr *ip6;
 	struct ipsecrequest *isr;
 	struct secasindex saidx;
